Change in osmo-bsc[master]: jenkins.sh: use osmo-bsc -X to ensure correct VTY reference

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

neels gerrit-no-reply at lists.osmocom.org
Mon May 18 16:42:50 UTC 2020


neels has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-bsc/+/18358 )


Change subject: jenkins.sh: use osmo-bsc -X to ensure correct VTY reference
......................................................................

jenkins.sh: use osmo-bsc -X to ensure correct VTY reference

Instead of this, we could always generate the XML reference from osmo-bsc -X as
part of the build process, but it is actually also nice to see a history of
changes in the VTY commands we support.

Change-Id: If9dcacdcd09759143dda2f60123672612ad42fe2
---
M contrib/jenkins.sh
1 file changed, 11 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-bsc refs/changes/58/18358/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 73f1174..2ca1cd7 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -57,6 +57,17 @@
 $MAKE $PARALLEL_MAKE
 LD_LIBRARY_PATH="$inst/lib" $MAKE check \
   || cat-testlogs.sh
+
+# verify that the VTY XML reference is up-to-date
+xmlref="$(mktemp)"
+./src/osmo-bsc/osmo-bsc -X > "$xmlref"
+if ! diff ./doc/manuals/vty/bsc_vty_reference.xml "$xmlref"; then
+	echo
+	echo "ERROR: The VTY reference differs from 'osmo-bsc -X' output."
+	echo "       Run 'osmo-bsc -X > doc/manuals/vty/bsc_vty_reference.xml'"
+	exit 1
+fi
+
 LD_LIBRARY_PATH="$inst/lib" \
   DISTCHECK_CONFIGURE_FLAGS="--enable-vty-tests --enable-external-tests --enable-werror $CONFIG" \
   $MAKE distcheck \

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-bsc/+/18358
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-bsc
Gerrit-Branch: master
Gerrit-Change-Id: If9dcacdcd09759143dda2f60123672612ad42fe2
Gerrit-Change-Number: 18358
Gerrit-PatchSet: 1
Gerrit-Owner: neels <nhofmeyr at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200518/8e4112fe/attachment.htm>


More information about the gerrit-log mailing list